package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ReasonCodeResStatePO;
import mhp.oee.po.gen.ReasonCodeResStatePOExample;

public interface ReasonCodeResStatePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodeResStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodeResStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int insert(ReasonCodeResStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodeResStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    List<ReasonCodeResStatePO> selectByExample(ReasonCodeResStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    ReasonCodeResStatePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodeResStatePO record, @Param("example") ReasonCodeResStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodeResStatePO record, @Param("example") ReasonCodeResStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodeResStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_res_state
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodeResStatePO record);
}